#ifndef NETWORK_COMM_H
#define NETWORK_COMM_H

#define NETWORK_ERROR           0000
#define NETWORK_OK              0001
#define NET_BUFFER_SIZE         1024

// Protocol Messages
#define PRT_MSG_RESHAPE_WINDOW  1056
#define PRT_MSG_FULL_SCREEN     1057
#define PRT_MSG_INC_HSPACE      2061
#define PRT_MSG_INC_VSPACE      2062
#define PRT_MSG_DEC_HSPACE      2063
#define PRT_MSG_DEC_VSPACE      2064
#define PRT_MSG_ZOOM_IN         5061
#define PRT_MSG_ZOOM_OUT        5062
#define PRT_MSG_ZOOM_RESET      5063
#define PRT_MSG_ZOOM_FACTOR_SET 5071
#define PRT_MSG_PAN_FACTOR_SET  5072
#define PRT_MSG_PAN_UP          6061
#define PRT_MSG_PAN_DOWN        6062
#define PRT_MSG_PAN_LEFT        6063
#define PRT_MSG_PAN_RIGHT       6064
#define PRT_MSG_PAN_RESET       6065
#define PRT_MSG_LOAD_FILE       7061
#define PRT_MSG_EXIT            9999

int initNetwork(int, char*);

void finiNetwork();

int sendNetwork(char*);

int recvNetwork(char*);

#endif
