#ifndef MPI_OPENGL_H
#define MPI_OPENGL_H

#define MD_DEBUG 1
#define MD_DEBUG_FILE dbg
#define ROOT if(id_mpi == 0)
#define NOTROOT if(id_mpi != 0)
#define MAX_ZOOM 10.0
#define MIN_ZOOM 1.0


#include <stdio.h>
#include "glut.h"
/* defines a texture data type */
typedef struct TEXTURE {
	GLubyte *tex ;
	int width;
	int height;
	int x;
	int y;
	int x1;
	int x2;
	int y1;
	int y2;
	struct TEXTURE *thumb;
} TEXTURE;

// function prototypes
void display (void);
void initWindow (void);
int loadFileNames ();
void makePopUps(void);
void menuActions (int id);
void end(int returnVal);
void prepareImage(void);
//

#endif

